#pragma once
#include "Globals.h"

class KUserInput
{
public:
	KUserInput() { reset(); }

	void reset();
	void reset(int pnum);
	void reinforce(int pnum, double value);
	void give_command(int pnum, MOVE_ID move);

	double user_reinforcement(int pnum) { return reinforcement[pnum]; }
	MOVE_ID user_command(int pnum) { return commands[pnum]; }

private:
	double reinforcement[2];
	MOVE_ID commands[2];
};
